#include <Adafruit_GFX.h>
#include <Adafruit_NeoMatrix.h>
#include <Adafruit_NeoPixel.h>
#include <Wire.h>
#include <ds3231.h>
 
struct ts temps;

Adafruit_NeoMatrix matrix = Adafruit_NeoMatrix(32,8,2,
  NEO_MATRIX_BOTTOM  + NEO_MATRIX_RIGHT  +
  NEO_MATRIX_COLUMNS + NEO_MATRIX_ZIGZAG,
  NEO_GRB + NEO_KHZ800);

void setup(){
  matrix.begin();
  matrix.setTextWrap(false);
  matrix.setBrightness(10);
  Wire.begin();
  DS3231_init(DS3231_INTCN);
}

void loop() {
  DS3231_get(&temps);
  int heure = temps.hour;
  int minute = temps.min;
    matrix.fillScreen(0);
    matrix.setTextColor(matrix.Color(0, 0, 200));
    matrix.setCursor(25, 1);    
    matrix.print(minute%10);
    matrix.setCursor(19, 1);    
    matrix.print(minute/10);
    matrix.setTextColor(matrix.Color(100, 100, 100));
    matrix.setCursor(13, 1); 
    matrix.print(":");
    matrix.setCursor(14, 1); 
    matrix.print(":");
    matrix.setTextColor(matrix.Color(0, 0, 200));
    matrix.setCursor(8, 1);    
    matrix.print(heure%10);
    matrix.setCursor(2, 1);    
    matrix.print(heure/10);  
    matrix.show();  
    delay(500);
    matrix.fillScreen(0);
    matrix.setTextColor(matrix.Color(0, 0, 200));
    matrix.setCursor(25, 1);    
    matrix.print(minute%10);
    matrix.setCursor(19, 1);    
    matrix.print(minute/10);
    matrix.setCursor(8, 1);    
    matrix.print(heure%10);
    matrix.setCursor(2, 1);    
    matrix.print(heure/10);  
    matrix.show();  
    delay(500);
}
